### Method

# Ide PtyIntercept get_fd

#### Declaration

    IdePtyFd
    ide_pty_intercept_get_fd (
      IdePtyIntercept* self
    )

#### Description

Gets a master PTY fd created by the `IdePtyIntercept`. This is suitable to use to create a slave fd which can be passed to a child process.

Available since: | 3.32

#### Return value

Returns: | `IdePtyFd`
| A FD of a PTY master if successful, otherwise -1.